diff options
author | Thomas Petazzoni <thomas.petazzoni@free-electrons.com> | 2012-11-03 08:27:58 +0000 |
---|---|---|
committer | Peter Korsgaard <jacmet@sunsite.dk> | 2012-11-04 12:51:08 +0100 |
commit | 6c3e3ad4197714ea39fcd49d572a1713f803d835 (patch) | |
tree | 88a5c4db6a9703cc07607b8a0a6f8d14a002a36e /fs/skeleton/etc/init.d | |
parent | ef1e76ae433e744d2cebf23f1c6d3b6446790270 (diff) | |
download | buildroot-novena-6c3e3ad4197714ea39fcd49d572a1713f803d835.tar.gz buildroot-novena-6c3e3ad4197714ea39fcd49d572a1713f803d835.zip |
New top-level directory: system
This directory groups the following elements:
* the default root filesystem skeleton
* the default device tables
* the Config.in options for system configuration (UART port for
getty, system hostname, etc.)
* the make rules to apply the system configuration options
Even though the skeleton and device tables could have lived in fs/, it
would have been strange to have the UART, system hostname and other
related options into fs/. A new system/ directory makes more sense.
As a consequence, this patch also removes target/Makefile.in, which
has become useless in the process.
[Peter: fixup TARGET_SKELETON settings / documentation to match]
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Acked-by: Yann E. MORIN <yann.morin.1998@free.fr>
Acked-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
Diffstat (limited to 'fs/skeleton/etc/init.d')
-rwxr-xr-x | fs/skeleton/etc/init.d/S20urandom | 54 | ||||
-rwxr-xr-x | fs/skeleton/etc/init.d/S40network | 25 | ||||
-rwxr-xr-x | fs/skeleton/etc/init.d/rcK | 27 | ||||
-rwxr-xr-x | fs/skeleton/etc/init.d/rcS | 27 |
4 files changed, 0 insertions, 133 deletions
diff --git a/fs/skeleton/etc/init.d/S20urandom b/fs/skeleton/etc/init.d/S20urandom deleted file mode 100755 index f73cea59e..000000000 --- a/fs/skeleton/etc/init.d/S20urandom +++ /dev/null @@ -1,54 +0,0 @@ -#! /bin/sh -# -# urandom This script saves the random seed between reboots. -# It is called from the boot, halt and reboot scripts. -# -# Version: @(#)urandom 1.33 22-Jun-1998 miquels@cistron.nl -# - -[ -c /dev/urandom ] || exit 0 -#. /etc/default/rcS - -case "$1" in - start|"") - if [ "$VERBOSE" != no ] - then - echo -n "Initializing random number generator... " - fi - # Load and then save 512 bytes, - # which is the size of the entropy pool - if [ -f /etc/random-seed ] - then - cat /etc/random-seed >/dev/urandom - fi - # check for read only file system - if ! touch /etc/random-seed 2>/dev/null - then - echo "read-only file system detected...done" - exit - fi - rm -f /etc/random-seed - umask 077 - dd if=/dev/urandom of=/etc/random-seed count=1 \ - >/dev/null 2>&1 || echo "urandom start: failed." - umask 022 - [ "$VERBOSE" != no ] && echo "done." - ;; - stop) - if ! touch /etc/random-seed 2>/dev/null - then - exit - fi - # Carry a random seed from shut-down to start-up; - # see documentation in linux/drivers/char/random.c - [ "$VERBOSE" != no ] && echo -n "Saving random seed... " - umask 077 - dd if=/dev/urandom of=/etc/random-seed count=1 \ - >/dev/null 2>&1 || echo "urandom stop: failed." - [ "$VERBOSE" != no ] && echo "done." - ;; - *) - echo "Usage: urandom {start|stop}" >&2 - exit 1 - ;; -esac diff --git a/fs/skeleton/etc/init.d/S40network b/fs/skeleton/etc/init.d/S40network deleted file mode 100755 index e69e61340..000000000 --- a/fs/skeleton/etc/init.d/S40network +++ /dev/null @@ -1,25 +0,0 @@ -#!/bin/sh -# -# Start the network.... -# - -case "$1" in - start) - echo "Starting network..." - /sbin/ifup -a - ;; - stop) - echo -n "Stopping network..." - /sbin/ifdown -a - ;; - restart|reload) - "$0" stop - "$0" start - ;; - *) - echo "Usage: $0 {start|stop|restart}" - exit 1 -esac - -exit $? - diff --git a/fs/skeleton/etc/init.d/rcK b/fs/skeleton/etc/init.d/rcK deleted file mode 100755 index 59e9c54ff..000000000 --- a/fs/skeleton/etc/init.d/rcK +++ /dev/null @@ -1,27 +0,0 @@ -#!/bin/sh - - -# Stop all init scripts in /etc/init.d -# executing them in reversed numerical order. -# -for i in $(ls -r /etc/init.d/S??*) ;do - - # Ignore dangling symlinks (if any). - [ ! -f "$i" ] && continue - - case "$i" in - *.sh) - # Source shell script for speed. - ( - trap - INT QUIT TSTP - set stop - . $i - ) - ;; - *) - # No sh extension, so fork subprocess. - $i stop - ;; - esac -done - diff --git a/fs/skeleton/etc/init.d/rcS b/fs/skeleton/etc/init.d/rcS deleted file mode 100755 index de411534d..000000000 --- a/fs/skeleton/etc/init.d/rcS +++ /dev/null @@ -1,27 +0,0 @@ -#!/bin/sh - - -# Start all init scripts in /etc/init.d -# executing them in numerical order. -# -for i in /etc/init.d/S??* ;do - - # Ignore dangling symlinks (if any). - [ ! -f "$i" ] && continue - - case "$i" in - *.sh) - # Source shell script for speed. - ( - trap - INT QUIT TSTP - set start - . $i - ) - ;; - *) - # No sh extension, so fork subprocess. - $i start - ;; - esac -done - |